SystemOrganization addCategory: #ConfigurationOfAlexBibtex!

Object subclass: #ConfigurationOfAlexBibtex
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfAlexBibtex'!

!ConfigurationOfAlexBibtex class methodsFor: 'development support' stamp: 'AlexandreBergel 12/12/2011 10:02'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfAlexBibtex class methodsFor: 'private' stamp: 'AlexandreBergel 12/12/2011 10:02'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfAlexBibtex class methodsFor: 'private' stamp: 'AlexandreBergel 12/12/2011 10:02'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfAlexBibtex class methodsFor: 'private' stamp: 'AlexandreBergel 12/12/2011 10:02'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfAlexBibtex class methodsFor: 'metacello tool support' stamp: 'AlexandreBergel 12/12/2011 10:02'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfAlexBibtex class methodsFor: 'loading' stamp: 'AlexandreBergel 12/12/2011 10:02'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfAlexBibtex class methodsFor: 'loading' stamp: 'AlexandreBergel 12/12/2011 10:02'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfAlexBibtex class methodsFor: 'loading' stamp: 'AlexandreBergel 12/12/2011 10:02'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfAlexBibtex class methodsFor: 'accessing' stamp: 'AlexandreBergel 12/12/2011 10:02'!
project

	^self new project! !

!ConfigurationOfAlexBibtex class methodsFor: 'development support' stamp: 'AlexandreBergel 12/12/2011 10:02'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfAlexBibtex methodsFor: 'baselines' stamp: 'AlexandreBergel 12/12/2011 10:04'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
	
		spec project: 'Citezen' with: [
				spec
					className: 'ConfigurationOfCitezen';
					version: '0.7';
					file: 'ConfigurationOfCitezen';
					repository: 'http://www.squeaksource.com/Citezen' ].

		
		spec repository: 'http://ss3.gemstone.com/ss/AlexBibtex'.
		spec package: 'AlexBibtex'.
		spec group: 'default' with: #('AlexBibtex' ). ].
! !

!ConfigurationOfAlexBibtex methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 12/12/2011 10:02'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfAlexBibtex methodsFor: 'accessing' stamp: 'AlexandreBergel 12/12/2011 10:02'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfAlexBibtex methodsFor: 'versions' stamp: 'AlexandreBergel 12/12/2011 10:04'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : Version version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/12/2011 10:04'.
		spec package: 'AlexBibtex' with: 'AlexBibtex-AlexandreBergel.1'. ].
! !
